package cn.net.caoyao.cpzshandset.service.bll;

import java.util.List;

import android.content.Context;
import cn.net.caoyao.cpzshandset.bean.CarNoBean;
import cn.net.caoyao.cpzshandset.db.dal.yunCar.YunCarNoDal;
import cn.net.caoyao.cpzshandset.db.presenter.CarNoDal;
import cn.net.cpzslibs.prot.handset.bean.res.YunCarNumberBean;

public class CarNoBll {
	private CarNoDal dal; 
	public CarNoBll(Context context) {
		dal = new YunCarNoDal(context);
	}
	
	public void insertOnlineCarNoList(List<YunCarNumberBean> list) {
		if(list == null || dal == null) return;
		dal.insertOnlineCarNoList(list);
	}

	
	public boolean hasExistCarNo(String carNo) {
		if(dal == null) return false;
		return dal.hasExistCarNo(carNo);
	}

	
	public void deleteAllCarNo() {
		if(dal == null) return;
		dal.deleteAllCarNo();
	}

	
	public List<CarNoBean> search(String condition) {
		if(dal == null || condition == null) return null;
		return dal.search(condition);
	}
	
	public List<CarNoBean> queryAllCarNo() {
		if(dal == null ) return null;
		return dal.queryAllCarNo();
	}


}
